Get stage sets for the firm
curl --request GET \
--url https://api.smokeball.com/stagesets \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/stagesets"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/stagesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "6ccc033d-67c9-4090-8705-3aff0c5a8cfb",
"versionId": "499244ff-651f-4f66-b618-9defde27c281",
"name": "Review contract",
"isDeleted": true,
"stages": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "45b94df1-1657-48b0-ae81-583b42ed52d6",
"versionId": "09d1f360-b810-4a63-acaa-5ed81a551f06",
"name": "Review contract",
"isDeleted": true,
"lastUpdated": 637847425252027400
}
],
"lastUpdated": 637847425252027400
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Stages
Get stage sets for the firm
Returns a list of stage sets for the firm.
GET
/
stagesets
Get stage sets for the firm
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Returns items updated since a specified time (.net ticks representation of the UTC datetime).
Deprecated, use updatedSince Returns items updated since a specified time.
Response
200 - application/json
When request is successful. Returns a paged collection of 'StageSet' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI